diff --git a/sudoers.cat b/sudoers.cat
index 03ec402cd..2bdffdb13 100644
--- a/sudoers.cat
+++ b/sudoers.cat
@@ -20,8 +20,7 @@ DDEESSCCRRIIPPTTIIOONN
        Form (EBNF).  Don't despair if you don't know what EBNF is; it is
        fairly simple, and the definitions below are annotated.
 
-       QQuuiicckk gguuiiddee ttoo EEBBNNFF
-
+   QQuuiicckk gguuiiddee ttoo EEBBNNFF
        EBNF is a concise and exact way of describing the grammar of a
        language.  Each EBNF definition is made up of _p_r_o_d_u_c_t_i_o_n _r_u_l_e_s.  E.g.,
 
@@ -45,8 +44,7 @@ DDEESSCCRRIIPPTTIIOONN
        will use single quotes ('') to designate what is a verbatim character
        string (as opposed to a symbol name).
 
-       AAlliiaasseess
-
+   AAlliiaasseess
        There are four kinds of aliases: User_Alias, Runas_Alias, Host_Alias
        and Cmnd_Alias.
 
@@ -59,9 +57,11 @@ DDEESSCCRRIIPPTTIIOONN
 
         Runas_Alias ::= NAME '=' Runas_List
 
+        Host_Alias ::= NAME '=' Host_List
 
 
-1.7.2                   September 24, 2009                      1
+
+1.7.3b2                 December 19, 2009                       1
 
 
 
@@ -71,8 +71,6 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-        Host_Alias ::= NAME '=' Host_List
-
         Cmnd_Alias ::= NAME '=' Cmnd_List
 
         NAME ::= [A-Z]([A-Z][0-9]_)*
@@ -94,23 +92,23 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
         User_List ::= User |
                       User ',' User_List
 
-        User ::= '!'* username |
+        User ::= '!'* user name |
                  '!'* '#'uid |
                  '!'* '%'group |
                  '!'* '+'netgroup |
                  '!'* '%:'nonunix_group |
                  '!'* User_Alias
 
-       A User_List is made up of one or more usernames, uids (prefixed with
+       A User_List is made up of one or more user names, uids (prefixed with
        '#'), system groups (prefixed with '%'), netgroups (prefixed with '+')
        and User_Aliases.  Each list item may be prefixed with zero or more '!'
        operators.  An odd number of '!' operators negate the value of the
        item; an even number just cancel each other out.
 
-       A username, group, netgroup and nonunix_groups may be enclosed in
-       double quotes to avoid the need for escaping special characters.
-       Alternately, special characters may be specified in escaped hex mode,
-       e.g. \x20 for space.
+       A user name, group, netgroup or nonunix_group may be enclosed in double
+       quotes to avoid the need for escaping special characters.  Alternately,
+       special characters may be specified in escaped hex mode, e.g. \x20 for
+       space.
 
        The nonunix_group syntax depends on the underlying implementation.  For
        instance, the QAS AD backend supports the following formats:
@@ -124,10 +122,12 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        Note that quotes around group names are optional.  Unquoted strings
        must use a backslash (\) to escape spaces and the '@' symbol.
 
+        Runas_List ::= Runas_Member |
+                       Runas_Member ',' Runas_List
 
 
 
-1.7.2                   September 24, 2009                      2
+1.7.3b2                 December 19, 2009                       2
 
 
 
@@ -136,32 +136,30 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
-        Runas_List ::= Runas_Member |
-                       Runas_Member ',' Runas_List
 
-        Runas_Member ::= '!'* username |
+        Runas_Member ::= '!'* user name |
                          '!'* '#'uid |
                          '!'* '%'group |
                          '!'* +netgroup |
                          '!'* Runas_Alias
 
        A Runas_List is similar to a User_List except that instead of
-       User_Aliases it can contain Runas_Aliases.  Note that usernames and
+       User_Aliases it can contain Runas_Aliases.  Note that user names and
        groups are matched as strings.  In other words, two users (groups) with
        the same uid (gid) are considered to be distinct.  If you wish to match
-       all usernames with the same uid (e.g. root and toor), you can use a uid
-       instead (#0 in the example given).
+       all user names with the same uid (e.g. root and toor), you can use a
+       uid instead (#0 in the example given).
 
         Host_List ::= Host |
                       Host ',' Host_List
 
-        Host ::= '!'* hostname |
+        Host ::= '!'* host name |
                  '!'* ip_addr |
                  '!'* network(/netmask)? |
                  '!'* '+'netgroup |
                  '!'* Host_Alias
 
-       A Host_List is made up of one or more hostnames, IP addresses, network
+       A Host_List is made up of one or more host names, IP addresses, network
        numbers, netgroups (prefixed with '+') and other aliases.  Again, the
        value of an item may be negated with the '!' operator.  If you do not
        specify a netmask along with the network number, ssuuddoo will query each
@@ -169,17 +167,17 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        corresponds to one of the hosts's network interfaces, the corresponding
        netmask will be used.  The netmask may be specified either in standard
        IP address notation (e.g. 255.255.255.0 or ffff:ffff:ffff:ffff::), or
-       CIDR notation (number of bits, e.g. 24 or 64).  A hostname may include
+       CIDR notation (number of bits, e.g. 24 or 64).  A host name may include
        shell-style wildcards (see the Wildcards section below), but unless the
-       hostname command on your machine returns the fully qualified hostname,
-       you'll need to use the _f_q_d_n option for wildcards to be useful.
+       host name command on your machine returns the fully qualified host
+       name, you'll need to use the _f_q_d_n option for wildcards to be useful.
 
         Cmnd_List ::= Cmnd |
                       Cmnd ',' Cmnd_List
 
-        commandname ::= filename |
-                        filename args |
-                        filename '""'
+        commandname ::= file name |
+                        file name args |
+                        file name '""'
 
         Cmnd ::= '!'* commandname |
                  '!'* directory |
@@ -187,13 +185,15 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
                  '!'* Cmnd_Alias
 
        A Cmnd_List is a list of one or more commandnames, directories, and
-       other aliases.  A commandname is a fully qualified filename which may
+       other aliases.  A commandname is a fully qualified file name which may
        include shell-style wildcards (see the Wildcards section below).  A
-       simple filename allows the user to run the command with any arguments
+       simple file name allows the user to run the command with any arguments
+       he/she wishes.  However, you may also specify command line arguments
+       (including wildcards).  Alternately, you can specify "" to indicate
 
 
 
-1.7.2                   September 24, 2009                      3
+1.7.3b2                 December 19, 2009                       3
 
 
 
@@ -202,10 +202,8 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
-       he/she wishes.  However, you may also specify command line arguments
-       (including wildcards).  Alternately, you can specify "" to indicate
        that the command may only be run wwiitthhoouutt command line arguments.  A
-       directory is a fully qualified pathname ending in a '/'.  When you
+       directory is a fully qualified path name ending in a '/'.  When you
        specify a directory in a Cmnd_List, the user will be able to run any
        file within that directory (but not in any subdirectories therein).
 
@@ -217,8 +215,7 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        to permit a user to run ssuuddoo with the --ee option (or as ssuuddooeeddiitt).  It
        may take command line arguments just as a normal command does.
 
-       DDeeffaauullttss
-
+   DDeeffaauullttss
        Certain configuration options may be changed from their default values
        at runtime via one or more Default_Entry lines.  These may affect all
        users on any host, all users on a specific host, a specific user, a
@@ -256,10 +253,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        not exist in a list.
 
        Defaults entries are parsed in the following order: generic, host and
+       user Defaults first, then runas Defaults and finally command defaults.
+
+       See "SUDOERS OPTIONS" for a list of supported Defaults parameters.
 
 
 
-1.7.2                   September 24, 2009                      4
+1.7.3b2                 December 19, 2009                       4
 
 
 
@@ -268,12 +268,7 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
-       user Defaults first, then runas Defaults and finally command defaults.
-
-       See "SUDOERS OPTIONS" for a list of supported Defaults parameters.
-
-       UUsseerr SSppeecciiffiiccaattiioonn
-
+   UUsseerr SSppeecciiffiiccaattiioonn
         User_Spec ::= User_List Host_List '=' Cmnd_Spec_List \
                       (':' Host_List '=' Cmnd_Spec_List)*
 
@@ -294,8 +289,7 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        The basic structure of a user specification is `who = where (as_whom)
        what'.  Let's break that down into its constituent parts:
 
-       RRuunnaass__SSppeecc
-
+   RRuunnaass__SSppeecc
        A Runas_Spec determines the user and/or the group that a command may be
        run as.  A fully-specified Runas_Spec consists of two Runas_Lists (as
        defined above) separated by a colon (':') and enclosed in a set of
@@ -323,9 +317,15 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        It is also possible to override a Runas_Spec later on in an entry.  If
        we modify the entry like so:
 
+        dgb    boulder = (operator) /bin/ls, (root) /bin/kill, /usr/bin/lprm
+
+       Then user ddggbb is now allowed to run _/_b_i_n_/_l_s as ooppeerraattoorr, but  _/_b_i_n_/_k_i_l_l
+       and _/_u_s_r_/_b_i_n_/_l_p_r_m as rroooott.
 
 
-1.7.2                   September 24, 2009                      5
+
+
+1.7.3b2                 December 19, 2009                       5
 
 
 
@@ -334,11 +334,6 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
-        dgb    boulder = (operator) /bin/ls, (root) /bin/kill, /usr/bin/lprm
-
-       Then user ddggbb is now allowed to run _/_b_i_n_/_l_s as ooppeerraattoorr, but  _/_b_i_n_/_k_i_l_l
-       and _/_u_s_r_/_b_i_n_/_l_p_r_m as rroooott.
-
        We can extend this to allow ddggbb to run /bin/ls with either the user or
        group set to ooppeerraattoorr:
 
@@ -352,8 +347,7 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
         tcm    boulder = (:dialer) /usr/bin/tip, /usr/bin/cu, \
                /usr/local/bin/minicom
 
-       TTaagg__SSppeecc
-
+   TTaagg__SSppeecc
        A command may have zero or more tags associated with it.  There are
        eight possible tag values, NOPASSWD, PASSWD, NOEXEC, EXEC, SETENV,
        NOSETENV, TRANSCRIPT and NOTRANSCRIPT.  Once a tag is set on a Cmnd,
@@ -388,10 +382,16 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        pertain to the current host.  This behavior may be overridden via the
        verifypw and listpw options.
 
+       _N_O_E_X_E_C _a_n_d _E_X_E_C
+
+       If ssuuddoo has been compiled with _n_o_e_x_e_c support and the underlying
+       operating system supports it, the NOEXEC tag can be used to prevent a
+       dynamically-linked executable from running further commands itself.
 
 
 
-1.7.2                   September 24, 2009                      6
+
+1.7.3b2                 December 19, 2009                       6
 
 
 
@@ -400,12 +400,6 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
-       _N_O_E_X_E_C _a_n_d _E_X_E_C
-
-       If ssuuddoo has been compiled with _n_o_e_x_e_c support and the underlying
-       operating system supports it, the NOEXEC tag can be used to prevent a
-       dynamically-linked executable from running further commands itself.
-
        In the following example, user aaaarroonn may run _/_u_s_r_/_b_i_n_/_m_o_r_e and
        _/_u_s_r_/_b_i_n_/_v_i but shell escapes will be disabled.
 
@@ -430,12 +424,11 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        basis.  For more information, see the description of _t_r_a_n_s_c_r_i_p_t in the
        "SUDOERS OPTIONS" section below.
 
-       WWiillddccaarrddss
-
+   WWiillddccaarrddss
        ssuuddoo allows shell-style _w_i_l_d_c_a_r_d_s (aka meta or glob characters) to be
-       used in hostnames, pathnames and command line arguments in the _s_u_d_o_e_r_s
-       file.  Wildcard matching is done via the PPOOSSIIXX _g_l_o_b(3) and _f_n_m_a_t_c_h(3)
-       routines.  Note that these are _n_o_t regular expressions.
+       used in host names, path names and command line arguments in the
+       _s_u_d_o_e_r_s file.  Wildcard matching is done via the PPOOSSIIXX _g_l_o_b(3) and
+       _f_n_m_a_t_c_h(3) routines.  Note that these are _n_o_t regular expressions.
 
        *       Matches any set of zero or more characters.
 
@@ -454,10 +447,17 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
            /bin/ls [[\:alpha\:]]*
 
+       Would match any file name beginning with a letter.
+
+       Note that a forward slash ('/') will nnoott be matched by wildcards used
+       in the path name.  When matching the command line arguments, however, a
+       slash ddooeess get matched by wildcards.  This is to make a path like:
+
+           /usr/bin/*
 
 
 
-1.7.2                   September 24, 2009                      7
+1.7.3b2                 December 19, 2009                       7
 
 
 
@@ -466,26 +466,16 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
-       Would match any filename beginning with a letter.
-
-       Note that a forward slash ('/') will nnoott be matched by wildcards used
-       in the pathname.  When matching the command line arguments, however, a
-       slash ddooeess get matched by wildcards.  This is to make a path like:
-
-           /usr/bin/*
-
        match _/_u_s_r_/_b_i_n_/_w_h_o but not _/_u_s_r_/_b_i_n_/_X_1_1_/_x_t_e_r_m.
 
-       EExxcceeppttiioonnss ttoo wwiillddccaarrdd rruulleess
-
+   EExxcceeppttiioonnss ttoo wwiillddccaarrdd rruulleess
        The following exceptions apply to the above rules:
 
        ""      If the empty string "" is the only command line argument in the
                _s_u_d_o_e_r_s entry it means that command is not allowed to be run
                with aannyy arguments.
 
-       IInncclluuddiinngg ootthheerr ffiilleess ffrroomm wwiitthhiinn ssuuddooeerrss
-
+   IInncclluuddiinngg ootthheerr ffiilleess ffrroomm wwiitthhiinn ssuuddooeerrss
        It is possible to include other _s_u_d_o_e_r_s files from within the _s_u_d_o_e_r_s
        file currently being parsed using the #include and #includedir
        directives.
@@ -505,8 +495,8 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        A hard limit of 128 nested include files is enforced to prevent include
        file loops.
 
-       The filename may include the %h escape, signifying the short form of
-       the hostname.  I.e., if the machine's hostname is "xerxes", then
+       The file name may include the %h escape, signifying the short form of
+       the host name.  I.e., if the machine's host name is "xerxes", then
 
        #include /etc/sudoers.%h
 
@@ -520,18 +510,6 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
        ssuuddoo will read each file in _/_e_t_c_/_s_u_d_o_e_r_s_._d, skipping file names that
        end in ~ or contain a . character to avoid causing problems with
-
-
-
-1.7.2                   September 24, 2009                      8
-
-
-
-
-
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
-
-
        package manager or editor temporary/backup files.  Files are parsed in
        sorted lexical order.  That is, _/_e_t_c_/_s_u_d_o_e_r_s_._d_/_0_1___f_i_r_s_t will be parsed
        before _/_e_t_c_/_s_u_d_o_e_r_s_._d_/_1_0___s_e_c_o_n_d.  Be aware that because the sorting is
@@ -542,10 +520,21 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        Note that unlike files included via #include, vviissuuddoo will not edit the
        files in a #includedir directory unless one of them contains a syntax
        error.  It is still possible to run vviissuuddoo with the -f flag to edit the
+
+
+
+1.7.3b2                 December 19, 2009                       8
+
+
+
+
+
+SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+
+
        files directly.
 
-       OOtthheerr ssppeecciiaall cchhaarraacctteerrss aanndd rreesseerrvveedd wwoorrddss
-
+   OOtthheerr ssppeecciiaall cchhaarraacctteerrss aanndd rreesseerrvveedd wwoorrddss
        The pound sign ('#') is used to indicate a comment (unless it is part
        of a #include directive or unless it occurs in the context of a user
        name and is followed by one or more digits, in which case it is treated
@@ -573,7 +562,7 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        characters in a _U_s_e_r _S_p_e_c_i_f_i_c_a_t_i_o_n ('=', ':', '(', ')') is optional.
 
        The following characters must be escaped with a backslash ('\') when
-       used as part of a word (e.g. a username or hostname): '@', '!', '=',
+       used as part of a word (e.g. a user name or host name): '@', '!', '=',
        ':', ',', '(', ')', '\'.
 
 SSUUDDOOEERRSS OOPPTTIIOONNSS
@@ -586,18 +575,6 @@ SSUUDDOOEERRSS OOPPTTIIOONNSS
        always_set_home If set, ssuuddoo will set the HOME environment variable to
                        the home directory of the target user (which is root
                        unless the --uu option is used).  This effectively means
-
-
-
-1.7.2                   September 24, 2009                      9
-
-
-
-
-
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
-
-
                        that the --HH option is always implied.  This flag is _o_f_f
                        by default.
 
@@ -609,10 +586,27 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
        closefrom_override
                        If set, the user may use ssuuddoo's --CC option which
+
+
+
+1.7.3b2                 December 19, 2009                       9
+
+
+
+
+
+SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+
+
                        overrides the default starting point at which ssuuddoo
                        begins closing open file descriptors.  This flag is _o_f_f
                        by default.
 
+       compress_transcript
+                       If set, and the _t_r_a_n_s_c_r_i_p_t flag is also set, ssuuddoo will
+                       compress the transcript logs using zzlliibb.  This flag is
+                       _o_n by default when ssuuddoo is compiled with zzlliibb support.
+
        env_editor      If set, vviissuuddoo will use the value of the EDITOR or
                        VISUAL environment variables before falling back on the
                        default editor list.  Note that this may create a
@@ -634,28 +628,34 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
                        variable.  This flag is _o_n by default.
 
        fast_glob       Normally, ssuuddoo uses the _g_l_o_b(3) function to do shell-
-                       style globbing when matching pathnames.  However, since
-                       it accesses the file system, _g_l_o_b(3) can take a long
-                       time to complete for some patterns, especially when the
-                       pattern references a network file system that is
-                       mounted on demand (automounted).  The _f_a_s_t___g_l_o_b option
-                       causes ssuuddoo to use the _f_n_m_a_t_c_h(3) function, which does
-                       not access the file system to do its matching.  The
-                       disadvantage of _f_a_s_t___g_l_o_b is that it is unable to match
-                       relative pathnames such as _._/_l_s or _._._/_b_i_n_/_l_s.  This
-                       flag is _o_f_f by default.
+                       style globbing when matching path names.  However,
+                       since it accesses the file system, _g_l_o_b(3) can take a
+                       long time to complete for some patterns, especially
+                       when the pattern references a network file system that
+                       is mounted on demand (automounted).  The _f_a_s_t___g_l_o_b
+                       option causes ssuuddoo to use the _f_n_m_a_t_c_h(3) function,
+                       which does not access the file system to do its
+                       matching.  The disadvantage of _f_a_s_t___g_l_o_b is that it is
+                       unable to match relative path names such as _._/_l_s or
+                       _._._/_b_i_n_/_l_s.  This flag is _o_f_f by default.
 
-       fqdn            Set this flag if you want to put fully qualified
-                       hostnames in the _s_u_d_o_e_r_s file.  I.e., instead of myhost
-                       you would use myhost.mydomain.edu.  You may still use
-                       the short form if you wish (and even mix the two).
-                       Beware that turning on _f_q_d_n requires ssuuddoo to make DNS
-                       lookups which may make ssuuddoo unusable if DNS stops
-                       working (for example if the machine is not plugged into
+       fqdn            Set this flag if you want to put fully qualified host
+                       names in the _s_u_d_o_e_r_s file.  I.e., instead of myhost you
+                       would use myhost.mydomain.edu.  You may still use the
+                       short form if you wish (and even mix the two).  Beware
+                       that turning on _f_q_d_n requires ssuuddoo to make DNS lookups
+                       which may make ssuuddoo unusable if DNS stops working (for
+                       example if the machine is not plugged into the
+                       network).  Also note that you must use the host's
+                       official name as DNS knows it.  That is, you may not
+                       use a host alias (CNAME entry) due to performance
+                       issues and the fact that there is no way to get all
+                       aliases from DNS.  If your machine's host name (as
+                       returned by the hostname command) is already fully
 
 
 
-1.7.2                   September 24, 2009                     10
+1.7.3b2                 December 19, 2009                      10
 
 
 
@@ -664,12 +664,6 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
-                       the network).  Also note that you must use the host's
-                       official name as DNS knows it.  That is, you may not
-                       use a host alias (CNAME entry) due to performance
-                       issues and the fact that there is no way to get all
-                       aliases from DNS.  If your machine's hostname (as
-                       returned by the hostname command) is already fully
                        qualified you shouldn't need to set _f_q_d_n.  This flag is
                        _o_f_f by default.
 
@@ -693,8 +687,8 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        insults         If set, ssuuddoo will insult users when they enter an
                        incorrect password.  This flag is _o_f_f by default.
 
-       log_host        If set, the hostname will be logged in the (non-syslog)
-                       ssuuddoo log file.  This flag is _o_f_f by default.
+       log_host        If set, the host name will be logged in the (non-
+                       syslog) ssuuddoo log file.  This flag is _o_f_f by default.
 
        log_year        If set, the four-digit year will be logged in the (non-
                        syslog) ssuuddoo log file.  This flag is _o_f_f by default.
@@ -718,10 +712,16 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
                        allowed to run commands on the current host.  This flag
                        is _o_f_f by default.
 
+       mail_no_perms   If set, mail will be sent to the _m_a_i_l_t_o user if the
+                       invoking user is allowed to use ssuuddoo but the command
+                       they are trying is not listed in their _s_u_d_o_e_r_s file
+                       entry or is explicitly denied.  This flag is _o_f_f by
+                       default.
 
 
 
-1.7.2                   September 24, 2009                     11
+
+1.7.3b2                 December 19, 2009                      11
 
 
 
@@ -730,12 +730,6 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
-       mail_no_perms   If set, mail will be sent to the _m_a_i_l_t_o user if the
-                       invoking user is allowed to use ssuuddoo but the command
-                       they are trying is not listed in their _s_u_d_o_e_r_s file
-                       entry or is explicitly denied.  This flag is _o_f_f by
-                       default.
-
        mail_no_user    If set, mail will be sent to the _m_a_i_l_t_o user if the
                        invoking user is not in the _s_u_d_o_e_r_s file.  This flag is
                        _o_n by default.
@@ -784,10 +778,16 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
                        to a real tty.  When this flag is set, ssuuddoo can only be
                        run from a login session and not via other means such
                        as _c_r_o_n(1m) or cgi-bin scripts.  This flag is _o_f_f by
+                       default.
+
+       root_sudo       If set, root is allowed to run ssuuddoo too.  Disabling
+                       this prevents users from "chaining" ssuuddoo commands to
+                       get a root shell by doing something like "sudo sudo
+                       /bin/sh".  Note, however, that turning off _r_o_o_t___s_u_d_o
 
 
 
-1.7.2                   September 24, 2009                     12
+1.7.3b2                 December 19, 2009                      12
 
 
 
@@ -796,12 +796,6 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
-                       default.
-
-       root_sudo       If set, root is allowed to run ssuuddoo too.  Disabling
-                       this prevents users from "chaining" ssuuddoo commands to
-                       get a root shell by doing something like "sudo sudo
-                       /bin/sh".  Note, however, that turning off _r_o_o_t___s_u_d_o
                        will also prevent root and from running ssuuddooeeddiitt.
                        Disabling _r_o_o_t___s_u_d_o provides no real additional
                        security; it exists purely for historical reasons.
@@ -850,10 +844,16 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
        stay_setuid     Normally, when ssuuddoo executes a command the real and
                        effective UIDs are set to the target user (root by
+                       default).  This option changes that behavior such that
+                       the real UID is left as the invoking user's UID.  In
+                       other words, this makes ssuuddoo act as a setuid wrapper.
+                       This can be useful on systems that disable some
+                       potentially dangerous functionality when a program is
+                       run setuid.  This option is only effective on systems
 
 
 
-1.7.2                   September 24, 2009                     13
+1.7.3b2                 December 19, 2009                      13
 
 
 
@@ -862,21 +862,16 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
-                       default).  This option changes that behavior such that
-                       the real UID is left as the invoking user's UID.  In
-                       other words, this makes ssuuddoo act as a setuid wrapper.
-                       This can be useful on systems that disable some
-                       potentially dangerous functionality when a program is
-                       run setuid.  This option is only effective on systems
                        with either the _s_e_t_r_e_u_i_d_(_) or _s_e_t_r_e_s_u_i_d_(_) function.
                        This flag is _o_f_f by default.
 
        targetpw        If set, ssuuddoo will prompt for the password of the user
                        specified by the --uu option (defaults to root) instead
-                       of the password of the invoking user.  Note that this
-                       precludes the use of a uid not listed in the passwd
-                       database as an argument to the --uu option.  This flag is
-                       _o_f_f by default.
+                       of the password of the invoking user.  In addition, the
+                       timestamp file name will include the target user's
+                       name.  Note that this flag precludes the use of a uid
+                       not listed in the passwd database as an argument to the
+                       --uu option.  This flag is _o_f_f by default.
 
        transcript      If set, ssuuddoo will log a transcript of the command being
                        run, similar to the _s_c_r_i_p_t(1) command.  In this mode
@@ -916,10 +911,15 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
        use_loginclass  If set, ssuuddoo will apply the defaults specified for the
                        target user's login class if one exists.  Only
                        available if ssuuddoo is configured with the
+                       --with-logincap option.  This flag is _o_f_f by default.
+
+       visiblepw       By default, ssuuddoo will refuse to run if the user must
+                       enter a password but it is not possible to disable echo
+                       on the terminal.  If the _v_i_s_i_b_l_e_p_w flag is set, ssuuddoo
 
 
 
-1.7.2                   September 24, 2009                     14
+1.7.3b2                 December 19, 2009                      14
 
 
 
